Package com.microsoft.sqlserver.jdbc

## Class SQLServerParameterMetaData

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerParameterMetaData

All Implemented Interfaces:
  `java.sql.ParameterMetaData`, `java.sql.Wrapper`

    public final class SQLServerParameterMetaData
    extends java.lang.Object
    implements java.sql.ParameterMetaData

SQLServerParameterMetaData provides JDBC 3.0 meta data for prepared statement parameters. The API javadoc for JDBC API methods that this class implements are not repeated here. Please see Sun's JDBC API interfaces javadoc for those details. Prepared statements are executed with SET FMT ONLY to retrieve column meta data Callable statements : sp_sp_sproc_columns is called to retrieve names and meta data for the procedures params.

### Field Summary

Fields
`protected boolean` `procedureIsFound`

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getParameterClassName​(int param)`
`int` `getParameterCount​()`
`int` `getParameterMode​(int param)`
`int` `getParameterType​(int param)`
`java.lang.String` `getParameterTypeName​(int param)`
`int` `getPrecision​(int param)`
`int` `getScale​(int param)`
`int` `isNullable​(int param)`
`boolean` `isSigned​(int param)` Verify a supplied parameter index is valid
`boolean` `isWrapperFor​(java.lang.Class<?> iface)`
`java.lang.String` `toString​()` This is a helper function to provide an ID string suitable for tracing.
`<T> T` `unwrap​(java.lang.Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### procedureIsFound

    protected boolean procedureIsFound

### Method Detail

#### toString

    public final java.lang.String toString​()

This is a helper function to provide an ID string suitable for tracing.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  traceID string

#### isWrapperFor

    public boolean isWrapperFor​(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap​(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### getParameterClassName

    public java.lang.String getParameterClassName​(int param)
                                           throws SQLServerException

Specified by:
  `getParameterClassName` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### getParameterCount

    public int getParameterCount​()
                          throws SQLServerException

Specified by:
  `getParameterCount` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### getParameterMode

    public int getParameterMode​(int param)
                         throws SQLServerException

Specified by:
  `getParameterMode` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### getParameterType

    public int getParameterType​(int param)
                         throws SQLServerException

Specified by:
  `getParameterType` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### getParameterTypeName

    public java.lang.String getParameterTypeName​(int param)
                                          throws SQLServerException

Specified by:
  `getParameterTypeName` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### getPrecision

    public int getPrecision​(int param)
                     throws SQLServerException

Specified by:
  `getPrecision` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### getScale

    public int getScale​(int param)
                 throws SQLServerException

Specified by:
  `getScale` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### isNullable

    public int isNullable​(int param)
                   throws SQLServerException

Specified by:
  `isNullable` in interface `java.sql.ParameterMetaData`
Throws:
  `SQLServerException`

#### isSigned

    public boolean isSigned​(int param)
                     throws SQLServerException

Verify a supplied parameter index is valid

Specified by:
  `isSigned` in interface `java.sql.ParameterMetaData`
Parameters:
  `param` - the param index
Returns:
  boolean
Throws:
  `SQLServerException` - when an error occurs